=== debian/changelog ===
ros-kinetic-humanoid-planner-2d (0.4.2-0xenial) xenial; urgency=high

  * refacotoring to release on kinetic
  * added documents related to humanoid_planner_2d packages
  * added information new maintainer
  * fixed CMakeLists.txt and package.xml files for dependency
  * Contributors: Kayman, Pyo

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Wed, 18 Apr 2018 15:00:00 -0000

ros-kinetic-humanoid-planner-2d (0.4.1-0xenial) xenial; urgency=high

  * catkinize the stack
  * humanoid_planner_2d on gridmaps, provides a lightweight wrapper around SBPL
  * enhancements:
    
      * check if goal / start reachable before planning
      * adding option to find SBPL overlay, reducing output
      * Getters for robot (inflation) radius, path costs from SBPL
      * Add another planning method (double)
    
  * fixes:
    
      * Fix map inflation for planning
    
  * Contributors: Armin Hornung, Vincent Rabaud, enriquefernandez

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Sun, 04 Sep 2016 15:00:00 -0000
